export default class RuleExecutor extends events.EventEmitter {
    constructor(engine: any, app: any, compiled: any, output: any);
    engine: any;
    app: any;
    _output: any;
    _env: ExecWrapper;
    _tt: any;
    _finished: {
        resolve: (value: any) => void;
        reject: (reason?: any) => void;
    } | null;
    _finishPromise: Promise<any>;
    _ruleThread(): Promise<void>;
    start(): void;
    waitFinished(): Promise<any>;
    end(): Promise<any>;
    stop(): void;
}
import * as events from "events";
import ExecWrapper from "./exec_wrapper";
